<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/decode_descriptor_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>03/05/85  decode_descriptor_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>The decode_descriptor_ subroutine extracts information from argument
<span id="L5" class="LineNr"> 5 </span>descriptors.  It should be called by any procedure wishing to handle
<span id="L6" class="LineNr"> 6 </span>variable length or variable type argument lists.  It processes the
<span id="L7" class="LineNr"> 7 </span>descriptor format used by PL/I, BASIC, COBOL, FORTRAN, and Pascal.
<span id="L8" class="LineNr"> 8 </span>
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>Entry points in decode_descriptor_:
<span id="L11" class="LineNr">11 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L12" class="LineNr">12 </span>
<span id="L13" class="LineNr">13 </span>
<span id="L14" class="LineNr">14 </span>:Entry:  decode_descriptor_:  03/05/85  decode_descriptor_
<span id="L15" class="LineNr">15 </span>
<span id="L16" class="LineNr">16 </span>
<span id="L17" class="LineNr">17 </span>Function:
<span id="L18" class="LineNr">18 </span>extracts information from argument descriptors.
<span id="L19" class="LineNr">19 </span>
<span id="L20" class="LineNr">20 </span>
<span id="L21" class="LineNr">21 </span>Syntax:
<span id="L22" class="LineNr">22 </span>declare decode_descriptor_ entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span>
<span id="L23" class="LineNr">23 </span>     bit<span class="textRainbow_lv1_p0">(</span>1<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>24<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_p0">)</span>;
<span id="L24" class="LineNr">24 </span>call decode_descriptor_ <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> n<span class="textRainbow_lv0_o0">,</span> type<span class="textRainbow_lv0_o0">,</span> packed<span class="textRainbow_lv0_o0">,</span> ndims<span class="textRainbow_lv0_o0">,</span> size<span class="textRainbow_lv0_o0">,</span> scale<span class="textRainbow_lv0_p0">)</span>;
<span id="L25" class="LineNr">25 </span>
<span id="L26" class="LineNr">26 </span>
<span id="L27" class="LineNr">27 </span>Arguments:
<span id="L28" class="LineNr">28 </span>ptr
<span id="L29" class="LineNr">29 </span>   points either directly at the descriptor to be decoded or at the
<span id="L30" class="LineNr">30 </span>   argument list in which the descriptor appears.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L31" class="LineNr">31 </span>n
<span id="L32" class="LineNr">32 </span>   controls which descriptor is decoded.  If n is 0, ptr points at the
<span id="L33" class="LineNr">33 </span>   descriptor to be decoded; otherwise, ptr points at the argument list
<span id="L34" class="LineNr">34 </span>   header and the nth descriptor is decoded.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L35" class="LineNr">35 </span>type
<span id="L36" class="LineNr">36 </span>   is the data type specified by the descriptor.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L37" class="LineNr">37 </span>   -1 is returned if descriptors are not present in the argument list,
<span id="L38" class="LineNr">38 </span>      if the nth descriptor does not exist, or if the descriptor is in
<span id="L39" class="LineNr">39 </span>      an old format
<span id="L40" class="LineNr">40 </span>
<span id="L41" class="LineNr">41 </span>
<span id="L42" class="LineNr">42 </span>packed
<span id="L43" class="LineNr">43 </span>   describes how the data is stored.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L44" class="LineNr">44 </span>   &quot;1&quot;b   data is packed
<span id="L45" class="LineNr">45 </span>   &quot;0&quot;b   data is not packed
<span id="L46" class="LineNr">46 </span>ndims
<span id="L47" class="LineNr">47 </span>   indicates the number of dimensions of an array.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L48" class="LineNr">48 </span>
<span id="L49" class="LineNr">49 </span>   N   descriptor is an array of N dimensions
<span id="L50" class="LineNr">50 </span>   0   descriptor is a scalar
<span id="L51" class="LineNr">51 </span>size
<span id="L52" class="LineNr">52 </span>   is the arithmetic precision, string size, or number of structure
<span id="L53" class="LineNr">53 </span>   elements.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L54" class="LineNr">54 </span>scale
<span id="L55" class="LineNr">55 </span>   is the scale of an arithmetic value.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
